/*********************
 * Fields
**********************/
.ifs-form-field {
    background:var(--form-bg); color:var(--form-color);
    font-size:var(--form-font-size); font-family:var(--form-font), sans-serif; font-weight:600;

    width:100%; height:var(--form-field-height); display:block;
    padding:5px var(--form-field-padding-h); margin:0 !important;
    -webkit-appearance:none !important; -webkit-border-radius:var(--form-radius) !important; border-radius:var(--form-radius) !important;
    border:var(--form-border-width) solid var(--form-border-color);
    transition:var(--ifs-transition);
}

/*********************
 * Textarea
**********************/
textarea.ifs-form-field {
    height:var(--form-field-size);
    padding:15px var(--form-field-padding-h);
    resize:vertical;
    transition:border-color .3s, background-color .3s, color .3s;
}

/* Textarea size */
textarea.ifs-form-field.large {--form-field-size:200px;}
textarea.ifs-form-field.medium {--form-field-size:176px;}
textarea.ifs-form-field.small {--form-field-size:100px;}

@media only screen and (min-width:1800px) {
    textarea.ifs-form-field.large {--form-field-size:clamp(200px, 12vw, 2000px);;}
    textarea.ifs-form-field.medium {--form-field-size:clamp(150px, 9.6vw, 1500px);}
    textarea.ifs-form-field.small {--form-field-size:clamp(100px, 6.5vw, 1000px);}
}


/*********************
 * Hover & focus
**********************/
.ifs-form-field:not([readonly]):hover,
.ifs-form-field:not([readonly]):focus {
    --form-placeholder-color:var(--form-placeholder-hover);
    --form-border-color:var(--form-border-color-hover);

    background:var(--form-bg-hover); color:var(--form-color-hover);
}


/*********************
 * A11y
**********************/
.ifs-form-field:not([readonly]):focus-visible {
    border-color:var(--form-border-color-hover);
    transition:none;
    box-shadow:0 0 0 1px var(--form-border-color-hover);
}


/*********************
 * Error
**********************/
.gform_wrapper select[aria-invalid="true"] + .es-current .ifs-form-field,
.ifs-form-field[aria-invalid="true"], .ifs-form-field[aria-invalid="true"]:hover {
    --form-border-color:var(--form-color-error);
    box-shadow:0 0 0 1px var(--form-border-color);
}


/*********************
 * Readonly
**********************/
.ifs-form-field[readonly] {
    --form-bg:rgba(0, 0, 0, .03);
    --form-border-color:rgba(0, 0, 0, .03);
}


/*********************
 * File
**********************/
input.ifs-form-field[type="file"] {
    display:flex; align-items:center;
    padding-top:calc((var(--form-field-height) - 32px) * 0.5);
    cursor:pointer;
}

/* choose file button */
input.ifs-form-field[type="file" i]::-webkit-file-upload-button {
    background:rgba(0, 0, 0, 0); padding:5px 8px; height:30px;
    border-radius:4px; border:1px solid var(--ifs-color-primary);
    cursor:pointer; margin-inline-end:12px;
    transition:var(--ifs-transition);
    font-family:var(--ifs-font-primary), sans-serif; font-size:var(--ifs-size-12); font-weight:700;
    text-transform:uppercase; color:var(--ifs-color-primary);
}
input.ifs-form-field[type="file" i]::-webkit-file-upload-button:hover {
    background:var(--ifs-color-primary); color:var(--ifs-color-on-primary);
}
input.ifs-form-field[type="file" i]:hover {color:var(--form-color-hover);}

@media only screen and (min-width:1800px) {
    input.ifs-form-field[type="file"] {padding-top:calc((var(--form-field-height) - clamp(30px, 1.8vw, 200px)) * 0.5)}
    input.ifs-form-field[type="file" i]::-webkit-file-upload-button {
        height:clamp(30px, 1.8vw, 200px);
    }
}


/*********************************************
 * Placeholder
**********************************************/
.ifs-form-field::-webkit-input-placeholder {font-family:inherit; font-weight:inherit; font-size:inherit; color:var(--form-placeholder-color);}
.ifs-form-field::-moz-placeholder {font-family:inherit; font-weight:inherit; font-size:inherit; color:var(--form-placeholder-color);}
.ifs-form-field:-ms-input-placeholder {font-family:inherit; font-weight:inherit; font-size:inherit; color:var(--form-placeholder-color);}
.ifs-form-field:-moz-placeholder {font-family:inherit; font-weight:inherit; font-size:inherit; color:var(--form-placeholder-color);}


/*********************************************
 * Label
**********************************************/
.ifs-form-field--label {
    display:block;
    color:var(--ifs-color-text);
    margin-bottom:var(--ifs-spacing-10);
}